## UDisksError

UDisksError — Possible errors that can be returned

## Types and Values

#define | UDISKS_ERROR
enum | UDisksError

## Description

Error codes and D-Bus errors.

## Functions

## Types and Values

### UDISKS_ERROR

    #define             UDISKS_ERROR

Error domain for UDisks. Errors in this domain will be form the UDisksError enumeration. See GError for more information on error domains.

### enum UDisksError

Error codes for the UDISKS_ERROR error domain and the corresponding D-Bus error names.

#### Members

UDISKS_ERROR_FAILED | The operation failed. |
UDISKS_ERROR_CANCELLED | The operation was cancelled. |
UDISKS_ERROR_ALREADY_CANCELLED | The operation has already been cancelled. |
UDISKS_ERROR_NOT_AUTHORIZED | Not authorized to perform the requested operation. |
UDISKS_ERROR_NOT_AUTHORIZED_CAN_OBTAIN | Like `UDISKS_ERROR_NOT_AUTHORIZED` but authorization can be obtained through e.g. authentication. |
UDISKS_ERROR_NOT_AUTHORIZED_DISMISSED | Like `UDISKS_ERROR_NOT_AUTHORIZED` but an authentication was shown and the user dimissed it. |
UDISKS_ERROR_ALREADY_MOUNTED | The device is already mounted. |
UDISKS_ERROR_NOT_MOUNTED | The device is not mounted. |
UDISKS_ERROR_OPTION_NOT_PERMITTED | Not permitted to use the requested option. |
UDISKS_ERROR_MOUNTED_BY_OTHER_USER | The device is mounted by another user. |
UDISKS_ERROR_ALREADY_UNMOUNTING | The device is already unmounting. |
UDISKS_ERROR_NOT_SUPPORTED | The operation is not supported due to missing driver/tool support. |
UDISKS_ERROR_TIMED_OUT | The operation timed out. |
UDISKS_ERROR_WOULD_WAKEUP | The operation would wake up a disk that is in a deep-sleep state. |
UDISKS_ERROR_DEVICE_BUSY | Attempting to unmount a device that is busy. |
UDISKS_ERROR_ISCSI_DAEMON_TRANSPORT_FAILED |  |
UDISKS_ERROR_ISCSI_HOST_NOT_FOUND |  |
UDISKS_ERROR_ISCSI_IDMB |  |
UDISKS_ERROR_ISCSI_LOGIN_FAILED |  |
UDISKS_ERROR_ISCSI_LOGIN_AUTH_FAILED |  |
UDISKS_ERROR_ISCSI_LOGIN_FATAL |  |
UDISKS_ERROR_ISCSI_LOGOUT_FAILED |  |
UDISKS_ERROR_ISCSI_NO_FIRMWARE |  |
UDISKS_ERROR_ISCSI_NO_OBJECTS_FOUND |  |
UDISKS_ERROR_ISCSI_NOT_CONNECTED |  |
UDISKS_ERROR_ISCSI_TRANSPORT_FAILED |  |
UDISKS_ERROR_ISCSI_UNKNOWN_DISCOVERY_TYPE |  |